Subject: How to compile g98 A.9 on redhat linux 7.1(kernel 2.4.2-2)?

From: 김양수 <[email-masked]>
Date: Tue, 15 May 2001 15:54:15 +0900

I tried to compile g98 A.9 on Coppermine Pentium III 650E under RedHat Linux 7.1 (Kernel 2.4.2-2).
I used the PGF77 Compiler(15-day trial).
I used blas libraries...
So I downloaded blas-f2c.a at http://www.gaussian.com/g98_req.htm and blas-opt.a 
(renamed lsblasppro1.1o_08.99.a to blas-opt.a) at http://www.cs.utk.edu/~ghenry/distrib/.

I modified the g98.make file such as below:

# BLAS = blas.a
BLAS = /usr/local/lib/blas-opt.a /usr/local/lib/blas-f2c.a

MACH = -tp p6 
# MACH = -tp p5

GAULIBA = util.a
GAULIB = $(GAULIBA) $(BLAS)
# GAULIB = util.so

RUNF77 = pgf77
F2CLIB = 
LIBS =  
UNROLL = -Munroll
VECTOR = -Mvect=cachesize:262144

But when it comes to compile ml0.F, I get an error. The error message is below:

make -f bsd/g98.make JUNK1=JUNK exe
gau-fsplit -e ml0 bsd/main.F
ml0.F
make -f bsd/g98.make OPTFLAG=' -O2 -tp p6  -Munroll -Mvect=cachesize:262144'  ml0.o
make[1]: Entering directory `/applic/g98'
gau-cpp -I/applic/g98 -I/applic/g98s -DGAUSS_PAR -DGAUSS_THPAR  -DDEFMAXSHL=20000 -DDEFMAXATM=20000 -DDEFMAXNZ=20000 -DDEFNVDIM=257 -DDEFARCREC=1024 -DMERGE_LOOPS -DUSE_ESSL -D_I386_ -DLITTLE_END -DUSING_F2C -DDEFMAXIOP=100 -DDEFMAXCHR=1024 -DDEFLMAX=13 -DDEFN3MIN=10 -DDEFMAXHEV=2000 -DDEFCACHE=64 -DDEFMAXLECP=10 -DDEFMAXFUNIT=5 -DDEFMAXFFILE=10000 -DDEFMAXFPS=1300 -DDEFMAXINFO=200 -DDEFMAXOP=120 -DDEFMAXTIT=100 -DDEFMAXRTE=4000 -DDEFMAXOV=500 -D_ALIGN_CORE_ -DCA1_DGEMM -DCA2_DGEMM -DCAB_DGEMM -DLV_DSP -DO_BKSPEF -DDEFMXTS=1500 -DDEFMXBAS=500 -DDEFMXOPT=50 -DDEFMXBOND=12 -DDEFMXSPH=250 -DDEFMXINV=1500   ml0.F ml0.f
pgf77   -O2 -tp p6  -Munroll -Mvect=cachesize:262144 -c ml0.f
NOTE: your evaluation license will expire in 14 days, 1.42 hours.

rm -f ml0.f ml0.c
make[1]: Leaving directory `/applic/g98'
pgf77    -O2 -tp p6  -Munroll -Mvect=cachesize:262144 -o g98 ml0.o   util.a  /usr/local/lib/blas-opt.a /usr/local/lib/blas-f2c.a 
ml0.o: In function `MAIN_':
ml0.o(.text+0x296): undefined reference to `gauabt_'
ml0.o(.text+0x330): undefined reference to `gauabt_'
ml0.o(.text+0x402): undefined reference to `gauabt_'
ml0.o(.text+0x4dc): undefined reference to `gauabt_'
ml0.o(.text+0x619): undefined reference to `gauabt_'
ml0.o(.text+0x63c): undefined reference to `fixinout_'
ml0.o(.text+0xe47): undefined reference to `ggeten_'
ml0.o(.text+0xea8): undefined reference to `getexen_'
ml0.o(.text+0x112c): undefined reference to `gsyst_'
util.a(getscd.o): In function `getscd_':
getscd.o(.text+0x10a): undefined reference to `ggeten_'
util.a(lnk1e.o): In function `lnk1e_':
lnk1e.o(.text+0x1f9): undefined reference to `gauabt_'
util.a(prsarg.o): In function `prsarg_':
prsarg.o(.text+0x2b7): undefined reference to `gauabt_'
util.a(tstfil.o): In function `tstfil_':
tstfil.o(.text+0x8bc): undefined reference to `envfil_'
tstfil.o(.text+0x90c): undefined reference to `envfil_'
util.a(chain.o): In function `chain_':
chain.o(.text+0xcb2): undefined reference to `gauabt_'
chain.o(.text+0xcb9): undefined reference to `gfree_'
chain.o(.text+0xd14): undefined reference to `gauexec_'
util.a(fioadd.o): In function `fioadd_':
fioadd.o(.text+0x140): undefined reference to `imove_'
util.a(fiodel.o): In function `fiodel_':
fiodel.o(.text+0x27f): undefined reference to `imove_'
fiodel.o(.text+0x2c2): undefined reference to `ibkmov_'
fiodel.o(.text+0x2f9): undefined reference to `imove_'
util.a(getatf.o): In function `getatf_':
getatf.o(.text+0x222): undefined reference to `envfil_'
util.a(ilsw.o): In function `ilsw_':
ilsw.o(.text+0x556): undefined reference to `imove_'
util.a(ntrclo.o): In function `ntrclo_':
ntrclo.o(.text+0x2fd): undefined reference to `gfree1_'
ntrclo.o(.text+0x313): undefined reference to `closwa_'
util.a(ntrerr.o): In function `ntrerr_':
ntrerr.o(.text+0x92): undefined reference to `gauabt_'
util.a(ntrext.o): In function `ntrext_':
ntrext.o(.text+0x289): undefined reference to `galloc1_'
ntrext.o(.text+0x313): undefined reference to `ntrext1_'
ntrext.o(.text+0x33d): undefined reference to `ntrsiz_'
util.a(ntrio.o): In function `ntrio_':
ntrio.o(.text+0x364): undefined reference to `imove_'
ntrio.o(.text+0x3d3): undefined reference to `imove_'
ntrio.o(.text+0x416): undefined reference to `writwa_'
ntrio.o(.text+0x450): undefined reference to `readwa_'
util.a(ntrwat.o): In function `ntrwat_':
ntrwat.o(.text+0x7c): undefined reference to `waitwa_'
util.a(ntstat.o): In function `ntstat_':
ntstat.o(.text+0x313): undefined reference to `ntrbks_'
util.a(fiocmp.o): In function `fiocmp_':
fiocmp.o(.text+0x8e): undefined reference to `imove_'
fiocmp.o(.text+0x164): undefined reference to `imove_'
fiocmp.o(.text+0x1a8): undefined reference to `imove_'
fiocmp.o(.text+0x1df): undefined reference to `imove_'
util.a(ntropn.o): In function `ntropn_':
ntropn.o(.text+0x394): undefined reference to `galloc1_'
ntropn.o(.text+0x3f4): undefined reference to `openwa_'
ntropn.o(.text+0x435): undefined reference to `openwa_'
ntropn.o(.text+0x488): undefined reference to `openwa_'
ntropn.o(.text+0x799): undefined reference to `ntrsiz_'
make: *** [g98] Error 1
endif

What is the problems?
Please, Send me an e-mail how to compile g98 on Redhat 7.1. (in detail...)

Have a nice day...
Regards...

Yangsoo Kim